--- title: "Get two-factor authentication information" slug: "management-subaccount-2factorauthentication" tags: ["Sub Account"] updated: 2026-09-17T10:05:32Z published: 2026-09-17T10:05:32Z canonical: "api.ncloud-docs.com/management-subaccount-2factorauthentication" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Get two-factor authentication information Available in Classic and VPC Get two-factor authentication information of a sub account. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /api/v1/sub-accounts/{subAccountId}/mfa | ### Request headers For information about the headers common to all Sub Account APIs, see [Sub Account request headers](/docs/en/management-subaccount#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `subAccountId` | String | Required | Sub account ID - See [Get sub account list](/docs/en/management-subaccount-getsubaccounts) | ### Request example The request example is as follows: ``` curl --location --request GET 'https://subaccount.apigw.ntruss.com/api/v1/sub-accounts/2b141960-****-****-****-246e9659184c/mfa' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'Accept: application/json' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `isMfaMandatory` | Boolean | - | Whether two-factor authentication is required - `true` \| `false` - `true`: required - `false`: optional | | `mfaList` | Array | - | MFA configuration information: [mfaList](/docs/en/management-subaccount-2factorauthentication#mfaList) | #### mfaList The following describes `mfaList`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `mfaType` | String | - | Two-factor authentication method type - `PHONE` \| `EMAIL` \| `OTP` \| `PASSKEY` - `PHONE`: mobile phone - `EMAIL`: email - `OTP`: NAVER Cloud Platform authentication OTP - `PASSKEY`: Passkey | ### Response status codes For information about the HTTP status codes common to all Sub Account APIs, see [Sub Account status codes](/docs/en/management-subaccount#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "isMfaMandatory": true, "mfaList": [ { "mfaType": "EMAIL" }, { "mfaType": "PASSKEY" }, { "mfaType": "PHONE" } ] } ```